curl --request POST \
--url https://api.notifly.tech/messages/kakao-alimtalk \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"projectId": "example_project_1234567890abcdef",
"channelId": "kakao-channel-id",
"templateId": "template-id",
"recipientList": [
{
"recipientNo": "01012345678",
"templateParameter": {
"customer_name": "홍길동"
},
"failoverTextMessageTemplateParameter": {
"coupon_name": "8월 할인 쿠폰"
}
}
]
}
'{
"success": true
}메시징
카카오 알림톡 발송
알림톡 템플릿 코드와 수신자 리스트를 사용하여 카카오 알림톡 메시지를 발송합니다.
POST
/
messages
/
kakao-alimtalk
curl --request POST \
--url https://api.notifly.tech/messages/kakao-alimtalk \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"projectId": "example_project_1234567890abcdef",
"channelId": "kakao-channel-id",
"templateId": "template-id",
"recipientList": [
{
"recipientNo": "01012345678",
"templateParameter": {
"customer_name": "홍길동"
},
"failoverTextMessageTemplateParameter": {
"coupon_name": "8월 할인 쿠폰"
}
}
]
}
'{
"success": true
}주의 사항API를 이용한 발송 결과에 대한 통계는 별도 페이지를 통해 제공하고 있습니다. 정보가 필요하실 경우 contact@notifly.tech으로 문의해주세요.
인증
POST /authenticate로 발급받은 인증 토큰을 Bearer 형식으로 전달합니다.
본문
application/json
노티플라이 설정 페이지에서 확인 가능
등록한 발송 템플릿 ID (알림톡 템플릿 리스트에서 확인 가능)
수신자 목록 (최대 1,000명)
Show child attributes
Show child attributes
발송할 카카오 채널 ID
카카오톡 발송 플랫폼이 Notifly (Legacy)인 경우 사용하는 대체 발송 발신 번호 (노티플라이 문자 자체 발송이 설정된 번호)
발신 그룹핑 키 (최대 100자)
응답
성공적인 메시지 발송입니다
